# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20090902
%global source_release 25
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/19th_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Philostratos
%global fonts_summary            GFS Philostratos, a 19th century Greek revival of Griechische Antiqua
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description        %{expand:
Griechische Antiqua was one of the historical Greek typefaces of the late 19th
and early 20th century. It was designed by Μaurice Εduard Pinder, a German
erudite artist and a member of the Academy of Science in Berlin. This is the
most popular version which has appeared from 1870 to 1940 in the German
speaking philological literature and in many classical and Byzantine editions
by publishers like Teubner (in Leipzig) and Weidmann (in Berlin) such as:
Anthology of Byzantine Melos by Wilhelm von Christ and Matthaios
Paranikas (Leipzig 1871), Epicurea, by Heinrich Usener (Leipzig 1887),
Mitrodorous by Alfred Koerte (Leipzig 1890), Pindar by Otto Schroeder (Leipzig
1908), του Aeschylus by U. von Wilamowitz-Moellendorff (Berlin 1910, 1915),
Bachylides by Bruno Snell (Leipzig, 1934),  The Vulgata by Alfred Rahlfs
(Stuttgart 1935), Suidas Lexicon by Ada Adler (Leipzig 1928-1938) etc.

E.J. Kenney lamented the abandonment of the type after the 2nd World War as a
great loss for Greek typography (“From Script to Print”, Greek Scripts: An
illustrated Introduction, Society for the Promotion of Hellenic Studies, 2001,
p. 69).

GFS Philostratos was digitized by George D. Matthiopoulos.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
